Market Radar API
API referenceNewsletters

Create a newsletter

Not live, with a header and a footer and the default theme, as Create newsletter in the app. It is turned live in the app.

POST
/newsletters

Authorization

key
AuthorizationBearer <token>

A key created in the app under Settings, API and MCP. Read keys read; Read and write keys also add, edit and delete companies, custom sources, groups and radars, and create, rename and delete folders.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/newsletters" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "id": 1,  "name": "string",  "live": true,  "schedule": {    "cadence": "weekly",    "weekday": 1,    "time": "string",    "time_zone": "string"  },  "subject_pattern": "issue",  "review": true,  "reviewer": {    "email": "string",    "name": "string"  },  "hold_back": true,  "recipients": -9007199254740991,  "radar_ids": [    1  ],  "next_send_at": "2019-08-24T14:15:22Z",  "template_version": "string"}